Proxy
6 operations generated from the Engine OpenAPI schema. Request and response model names can be expanded in the interactive schema.
GET /api/v1/proxies
List all Proxies.
Authentication: Authorization header (ApiKeyAuth)
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse |
POST /api/v1/proxies
Create a Proxy.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
proxy | body | app.Proxy | Yes | Proxy to create |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse |
DELETE /api/v1/proxies/{id}
Delete a Proxy by ID or name.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | string | Yes | Proxy ID or name |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse |
GET /api/v1/proxies/{id}
Get a Proxy by ID or name.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | string | Yes | Proxy ID or name |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse |
PATCH /api/v1/proxies/{id}
Update a Proxy by ID or name.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | string | Yes | Proxy ID or name |
proxy | body | app.Proxy | Yes | Proxy settings |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse |
DELETE /api/v1/streams/{id}
Delete the stream by ID or Name.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | string | Yes | stream ID or Name |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse |